/*
 * Copyright 2012 Martin Skurla
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 */
package org.crazyjavahacking.astvisualizer.api.model;


import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;


/**
 * Edge model. Edge model consists only of transition name.
 *
 * @author Martin Skurla (crazyjavahacking@gmail.com)
 */
@AllArgsConstructor
@Getter
@ToString
public final class EdgeModel {

    //-----------------------------------------------------------------------------------------------------------------
    // Constants.
    //-----------------------------------------------------------------------------------------------------------------
    public static final EdgeModel NO_INCOMING_EDGE = new EdgeModel("No incoming edge !");


    //-----------------------------------------------------------------------------------------------------------------
    // Members.
    //-----------------------------------------------------------------------------------------------------------------
    private final String transitionName;
}
